import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  parentId: z.literal(true).optional(),
  patientId: z.literal(true).optional()
}).strict();
export const CloudFolderSumAggregateInputObjectSchema: z.ZodType<Prisma.CloudFolderSumAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CloudFolderSumAggregateInputType>;
export const CloudFolderSumAggregateInputObjectZodSchema = makeSchema();
